# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               shoutsend
Version:            1.02
Release:            lp150.1.12
Summary:            Simple Streaming Source Client for ShoutCast/IceCast
Source:             http://sokrates.mimuw.edu.pl/~sebek/shoutsend/shoutsend-%{version}.tar.gz
Patch1:             shoutsend-fix_includes.patch
URL:                http://sokrates.mimuw.edu.pl/~sebek/shoutsend/
Group:              Productivity/Multimedia/Sound/Utilities
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libshout-devel
BuildRequires:      gcc make glibc-devel pkgconfig

%description
ShoutSend is a simple streaming client for ShoutCast/IceCast servers. It takes
audio data stream from stdin (in mp3 or ogg format) and without any processing
sends it along with some metadata (like stream description) to streaming
server.

%prep
%setup -q
%patch1

%build
%__cc -o shoutsend shoutsend.c -lshout -lpthread

%install
%__install -D -m0755 shoutsend "%{buildroot}%{_bindir}/shoutsend"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/shoutsend

%changelog
* Sun Apr 14 2013 pascal.bleser@opensuse.org
- initial version (1.02)
